trplot {VGAM} | R Documentation

## Trajectory Plot

### Description

Generic function for a trajectory plot.

### Usage

    trplot(object, ...)

### Arguments

`object` | An object for which a trajectory plot is meaningful.
`...` | Other arguments fed into the specific methods function of the model. They usually are graphical parameters, and sometimes they are fed into the methods function for `Coef`.

### Details

Trajectory plots can be defined in different ways for different models. Many models have no such notion or definition.

For quadratic and additive ordination models they plot the fitted values of two species against each other (more than two is theoretically possible, but not implemented in this software yet).

### Value

The value returned depends specifically on the methods function invoked.

### Author(s)

Thomas W. Yee

### References

Yee, T. W. (2012) On constrained and unconstrained quadratic ordination. Manuscript in preparation.

### See Also

`trplot.qrrvglm`, `perspqrrvglm`, `lvplot`.

### Examples

    ## Not run:  set.seed(123)
    hspider[, 1:6] <- scale(hspider[, 1:6])  # Standardized environmental vars
    p1cqo <- cqo(cbind(Alopacce, Alopcune, Alopfabr, Arctlute, Arctperi,
                      Auloalbi, Pardlugu, Pardmont, Pardnigr, Pardpull,
                      Trocterr, Zoraspin) ~
                WaterCon + BareSand + FallTwig + CoveMoss + CoveHerb + ReflLux,
                quasipoissonff, data = hspider, Crow1positive = FALSE)

    nos <- ncol(depvar(p1cqo))
    clr <- 1:nos  # OR (1:(nos+1))[-7]  to omit yellow

    trplot(p1cqo, which.species = 1:3, log = "xy",
           col = c("blue", "orange", "green"), lwd = 2, label = TRUE) -> ii
    legend(0.00005, 0.3, paste(ii$species[, 1], ii$species[, 2], sep = " and "),
           lwd = 2, lty = 1, col = c("blue", "orange", "green"))
    abline(a = 0, b = 1, lty = "dashed", col = "grey")
    ## End(Not run)

[Package VGAM version 1.0-4 Index]